package com.zd.exam.domain;

import com.zd.common.core.web.domain.BaseEntity;
import com.zd.common.core.enums.PointRecordType;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;


/**
 * 用户积分记录对象 el_points_record
 *
 * @author zhoupan
 * @date 2021-09-07
 */
public class ElPointsRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 用户真实姓名
     */
    private String nickName;

    /**
     * 关联用户表的id
     */
    private Long joinUserId;

    /**
     * 用户账户
     */
    private String userName;

    /**
     * 信用分
     */
    private Long creditScore;

    /**
     * 奖励分
     */
    private Long bonusPoints;

    /**
     * 扣分
     */
    private Long deductPoints;

    /**
     * 积分总数
     */
    private Long totalPoints;


    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Long getJoinUserId() {
        return joinUserId;
    }

    public void setJoinUserId(Long joinUserId) {
        this.joinUserId = joinUserId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getCreditScore() {
        return creditScore;
    }

    public void setCreditScore(Long creditScore) {
        this.creditScore = creditScore;
    }

    public Long getBonusPoints() {
        return bonusPoints;
    }

    public void setBonusPoints(Long bonusPoints) {
        this.bonusPoints = bonusPoints;
    }

    public Long getDeductPoints() {
        return deductPoints;
    }

    public void setDeductPoints(Long deductPoints) {
        this.deductPoints = deductPoints;
    }

    public Long getTotalPoints() {
        return totalPoints;
    }

    public void setTotalPoints(Long totalPoints) {
        this.totalPoints = totalPoints;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("nickName", getNickName())
                .append("joinUserId", getJoinUserId())
                .append("userName", getUserName())
                .append("creditScore", getCreditScore())
                .append("bonusPoints", getBonusPoints())
                .append("deductPoints", getDeductPoints())
                .append("totalPoints", getTotalPoints())
                .append("createTime",getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("remark", getRemark())
                .toString();
    }
}
